Subject: japan agrinfo newsletter

From: [email-masked]
Date: 28 Oct 94 15:50:35 +1300

Hi,has anyone out there heard of the Japan Agrinfo Newsletter, I have seen
several references to it in works on Japanese agricultural policy, notably by
Aurelia George. I want things like publication dates, places, locations, etc. 

Thanks in advance

THE RUBBISH MAN
[email-masked]